﻿Type=Service
Version=2.71
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region
'Service module
Sub Process_Globals
    Type Message (Address As String, Body As String)
	Dim sNotif As Notification
	Dim SI As SmsInterceptor   



End Sub
Sub Service_Create
SI.Initialize2("SI", 999)
sNotif.Initialize

'' ##################################################
'  these Next 4 lines show the app in Notification bar when it Is running
'  without this segment the service stopped after 30+ minutes
'' #################################################
sNotif.Icon = "icon"
sNotif.SetInfo("SmsReply","Service Running",Main)
sNotif.Sound = False
sNotif.Notify(1) 
'' #################################################

Service.StartForeground(1,sNotif)



End Sub

Sub Service_Start(startingIntent As Intent)
    If startingIntent.Action = "android.provider.Telephony.SMS_RECEIVED" Then
        Dim messages() As Message
        messages = ParseSmsIntent(startingIntent)
        For i = 0 To messages.Length - 1
            Log(messages(i))
        Next
    End If
End Sub

'Parses an SMS intent and returns an array of messages
Sub ParseSmsIntent (In As Intent) As Message()
    Dim messages() As Message
    If In.HasExtra("pdus") = False Then Return messages
    Dim pdus() As Object
    Dim r As Reflector
    pdus = In.GetExtra("pdus")
    If pdus.Length > 0 Then
        Dim messages(pdus.Length) As Message
        For i = 0 To pdus.Length - 1
            r.Target = r.RunStaticMethod("android.telephony.SmsMessage", "createFromPdu", _
                Array As Object(pdus(i)), Array As String("[B"))
            messages(i).Body = r.RunMethod("getMessageBody")
            messages(i).Address = r.RunMethod("getOriginatingAddress")
        Next
    End If
    Return messages
End Sub
Sub SI_MessageReceived (From As String, Body As String) As Boolean   
	Dim smsOut As PhoneSms
	If Body.ToLowerCase = "secret" Then
		ToastMessageShow(Body, True)
		
		smsOut.Send(From,"Thankyou for your text. The answer is squirrel")
		ToastMessageShow("Auto-reply sent", True)
		Return True

	Else
		Return False
	End If
End Sub

Sub Button2_Click
	ExitApplication
End Sub